;Export LilBuilder from SVN repository
;Create zip file
;Delete export
;open AutoHotkey.net for upload

#NoEnv

Loop, Read, changes.txt
  {
    RegExMatch(A_LoopReadLine, "^(?:/\* (v[\w.]+))",Version)
    If Version1
        LastVersion = %Version1%
  }

Exe_SVN      = C:\Programme\Subversion\bin\svn.exe
Repro_URL    = file:///C:/AppData/SVN-Repro/LilBuilder/trunc
Exports_PATH = C:\_\Code\AHK\LilBuilder\exports
Temp_Path    = %Exports_PATH%\Temp
Exe_7ZIP     = %Exports_PATH%\7za.exe
Archive_File = %Exports_PATH%\LilBuilder_%LastVersion%.zip
Account_File = Account.txt
FTP_File     = %Exports_PATH%\Connect2AHK.net.txt

FileRemoveDir, %Temp_Path%, 1
FileCreateDir, %Temp_Path%

RunWait, %Exe_SVN% export %Repro_URL% %Temp_Path% --force, %Temp_Path%

FileDelete, %Archive_File%
RunWait, %Exe_7ZIP% a -tzip -mx9  %Archive_File% %Temp_Path%\* ,%Temp_Path%

FileRemoveDir, %Temp_Path%, 1


SplitPath, Archive_File, Archive_File
FileRead, AccountText , %Account_File%
RegExMatch(AccountText, "sm)Account:\s+(?<Name>\w+).*?FTP Passwd:\s+(?<Password>\w+)",Account)
FileDelete, %FTP_File%
FileAppend,
(
%AccountName%
%AccountPassword%
cd LilBuilder
binary
put %Archive_File% %Archive_File%
bye
), %FTP_File%

RunWait, %comspec% /k ftp -s:%FTP_File% www.AutoHotkey.net, %Exports_PATH%
FileDelete, %FTP_File%
