;###############################################################################
/* ToolTip for LilBuilder

*/
;###############################################################################

/*
ToolTip()
For tooltip functions see .\ext\ToolTip\ToolTip.ahk
*/

ToolTip_ShowTips4Pos:
  ToolTip_ShowTips4Pos()
Return
ToolTip_ShowTips4Pos(NewState=""){
  Static State := False

  If NewState = ReturnState
    Return State

  If NewState = Hide
  {
    ToolTip,,,,2
    Return
  }

  If NewState is not space
    Return State := NewState

  If !State
    Return
  
  GuiHWND := Selector_vGuiHWND()
  WinGetPos, ux, uy, , , ahk_id %GuiHWND%                  ;get pos of user gui
  WinGetPos, sx, sy ,sw, sh, % "ahk_id " Selector_vHWND()  ;get current pos/size of selector

  SysGet_GuiFrameSizes(Gui(GuiHWND,"Toolwindow"), XFrame, YFrame, HCaption)

  rx := sx - ux - XFrame                                   ;calculate relative position
  ry := sy - uy - YFrame - HCaption
  CoordMode, ToolTip, Screen
  If rx = -10
      ToolTip,,,,2
  Else
      ToolTip, x%rx% y%ry%`nw%sw% h%sh%, sX - 50, sY - 40, 2
}

