;###############################################################################
/* Properties for LilBuilder

*/
;###############################################################################

Properties_Initialize(){
  Properties_Create("Properties_OnProperty", "Properties", "ToolWindow Resize NoCombo",3)
  Properties_SetColors("pbAAAAAA pfFFFFFF sbDDDDDD vbDDDDDD")
  Properties_SetFont("Separator", "s9 bold italic, Arial")    ;set separator font 
  Properties_SetFont("Property",  "s9 bold, Arial")			  ;set property font  

  Properties_Add("Type=Separator`nText=No Selection")
  Properties_Show(0, 600)
}

Properties_OnProperty:
	
return

Properties_ShowProperties(){
  Properties_Clear()
  CtrlHWND := Selector_vCtrlHWND()
  GuiHWND := Selector_vGuiHWND()
	If ( !GuiHWND OR InStr(CtrlHWND,"|"))
		Return
  pProperties := CtrlHWND ? Control(CtrlHWND, "AllPropertyNames") : Gui(GuiHWND, "AllPropertyNames")
	Loop, Parse, pProperties, `n
	{
    value := CtrlHWND ? Control(CtrlHWND, A_LoopField) : Gui(GuiHWND, A_LoopField)
		s =
		(LTrim
			Name=%A_LoopField%
			Type=Text
			Text=%Value%
		)
		Properties_Add(s)
	}
  Properties_Show()
  ;!!! solves the PGUI stealing focus issue, but introduces flickering
  ; Final solution has to be in PGUI.ahk: Line "ControlFocus,, ahk_id %hCtrl%" brings PGUI to front.
  WinActivate, ahk_id %GuiHWND%             ;reactivate the user gui
  Gui, 1:Show, NA                           ;bring selector to fron again
}
